For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet tags
      • POSTCreate a tag
      • GETGet a tag by ID
      • DELDelete a tag
      • PATCHUpdate a tag
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonTags

Get a tag by ID

GET
/tags/:tag_id
GET
/v1/tags/:tag_id
$curl https://api.sandbox.monite.com/v1/tags/tag_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
3 "created_at": "2022-09-07T16:35:18Z",
4 "updated_at": "2022-09-07T16:35:18Z",
5 "name": "Marketing",
6 "category": "document_type",
7 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
8 "description": "Tag for the Marketing Department"
9}
Get information about a tag with the given ID.
Was this page helpful?
Previous

Delete a tag

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tag_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID of this tag.
created_atdatetime

Date and time when the tag was created. Timestamps follow the ISO 8601 standard.

updated_atdatetime

Date and time when the tag was last updated. Timestamps follow the ISO 8601 standard.

namestring
The tag name.
categoryenum
The tag category.
created_by_entity_user_idstringformat: "uuid"
ID of the user who created the tag.
descriptionstring1-255 characters
The tag description.

Errors

400
Get Tags ID Request Bad Request Error
401
Get Tags ID Request Unauthorized Error
403
Get Tags ID Request Forbidden Error
404
Get Tags ID Request Not Found Error
406
Get Tags ID Request Not Acceptable Error
422
Get Tags ID Request Unprocessable Entity Error
500
Get Tags ID Request Internal Server Error